interface IGanttPlugin {
    id: string;
    name: string;
    run: (...args: any[]) => void;
    release?: () => void;
}
export interface ExportOptions {
    fileName?: string;
    type?: 'png' | 'jpeg';
    quality?: number;
    backgroundColor?: string;
    scale?: number;
    download?: boolean;
}
export declare class ExportGanttPlugin implements IGanttPlugin {
    id: string;
    name: string;
    private _gantt;
    run(...args: any[]): void;
    exportToImage(options?: ExportOptions): Promise<string | undefined>;
    exportToBase64(options?: Omit<ExportOptions, 'download'>): Promise<string | undefined>;
    private createFullSizeContainer;
    private finalizeExport;
    release(): void;
}
export {};
